<?php

namespace EventPortal\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class CheckPermission
{
    /**
     * Handle an incoming request.
     *
     * @return mixed
     */
    public function handle(Request $request, Closure $next, string $permission)
    {
        abort_unless(auth()->user()->hasPermissionTo($permission), Response::HTTP_UNAUTHORIZED);

        return $next($request);
    }
}
