<?php

if (function_exists('has_permission') === false) {
    function has_permission(string $permission): bool
    {
        $user = auth()->user();
        if ($user === null) {
            return false;
        }

        return $user->hasPermissionTo($permission);
    }
}
