<?php

namespace EventPortal\Commands;

use EventPortal\Seeds\PermissionSeeder;
use EventPortal\Seeds\RoleSeeder;
use Illuminate\Console\Command;

class SeedPermissionsAndRoles extends Command
{
    /** @var string */
    protected $signature = 'seed:permissions-and-roles';

    public function handle(): void
    {
        (new PermissionSeeder())->run();
        (new RoleSeeder())->run();
    }
}
